commit 4b1d882f4591c97973f3a153345bf4458d73acc3
Author: Colin Fleming <cj_fleming@sky.com>
Date:   Sat Dec 19 21:57:28 2015 +0000

    Remove $closehead variable
    
    Remove unused variable $closehead

diff --git a/src/usr/local/www/diag_smart.php b/src/usr/local/www/diag_smart.php
index 7793c35939..3e6b686fa2 100644
--- a/src/usr/local/www/diag_smart.php
+++ b/src/usr/local/www/diag_smart.php
@@ -72,7 +72,6 @@ $valid_test_types = array("offline", "short", "long", "conveyance");
 $valid_info_types = array("i", "H", "c", "A", "a");
 $valid_log_types = array("error", "selftest");
 
-$closehead = false;
 include("head.inc");
 
 // Highlights the words "PASSED", "FAILED", and "WARNING".
diff --git a/src/usr/local/www/exec.php b/src/usr/local/www/exec.php
index 30a51cd315..44a21367fe 100644
--- a/src/usr/local/www/exec.php
+++ b/src/usr/local/www/exec.php
@@ -122,7 +122,6 @@ $ScriptName = $REQUEST['SCRIPT_NAME'];
 $arrDT = localtime();
 $intYear = $arrDT[5] + 1900;
 
-$closehead = false;
 $pgtitle = array(gettext("Diagnostics"), gettext("Execute command"));
 include("head.inc");
 ?>
diff --git a/src/usr/local/www/firewall_nat.php b/src/usr/local/www/firewall_nat.php
index 8887d2ff92..b867ee27b8 100644
--- a/src/usr/local/www/firewall_nat.php
+++ b/src/usr/local/www/firewall_nat.php
@@ -166,7 +166,6 @@ if (isset($_POST['del_x'])) {
 	}
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Firewall"), gettext("NAT"), gettext("Port Forward"));
 include("head.inc");
 
diff --git a/src/usr/local/www/firewall_nat_edit.php b/src/usr/local/www/firewall_nat_edit.php
index b2fa1a2cdf..2e3459778b 100644
--- a/src/usr/local/www/firewall_nat_edit.php
+++ b/src/usr/local/www/firewall_nat_edit.php
@@ -643,7 +643,6 @@ function dsttype_selected() {
 	return($selected);
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Firewall"), gettext("NAT"), gettext("Port Forward"), gettext("Edit"));
 include("head.inc");
 
diff --git a/src/usr/local/www/firewall_nat_out_edit.php b/src/usr/local/www/firewall_nat_out_edit.php
index fa252911fc..0836d4eabc 100644
--- a/src/usr/local/www/firewall_nat_out_edit.php
+++ b/src/usr/local/www/firewall_nat_out_edit.php
@@ -391,7 +391,6 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Firewall"), gettext("NAT"), gettext("Outbound"), gettext("Edit"));
-$closehead = false;
 include("head.inc");
 
 function build_target_list() {
diff --git a/src/usr/local/www/firewall_rules_edit.php b/src/usr/local/www/firewall_rules_edit.php
index 00a0b3943c..4c64853ba3 100644
--- a/src/usr/local/www/firewall_rules_edit.php
+++ b/src/usr/local/www/firewall_rules_edit.php
@@ -1016,8 +1016,6 @@ function build_if_list() {
 $pgtitle = array(gettext("Firewall"), gettext("Rules"), gettext("Edit"));
 $shortcut_section = "firewall";
 
-$closehead = false;
-
 $page_filename = "firewall_rules_edit.php";
 include("head.inc");
 
diff --git a/src/usr/local/www/firewall_shaper.php b/src/usr/local/www/firewall_shaper.php
index 43fd55d92a..a4e35f703e 100644
--- a/src/usr/local/www/firewall_shaper.php
+++ b/src/usr/local/www/firewall_shaper.php
@@ -400,7 +400,6 @@ if ($queue) {
 }
 
 //$pgtitle = "Firewall: Shaper: By Interface View";
-$closehead = false;
 include("head.inc");
 
 $tree = '<ul class="tree" >';
diff --git a/src/usr/local/www/firewall_shaper_queues.php b/src/usr/local/www/firewall_shaper_queues.php
index 364ac517ad..7cd5b1f052 100644
--- a/src/usr/local/www/firewall_shaper_queues.php
+++ b/src/usr/local/www/firewall_shaper_queues.php
@@ -218,7 +218,6 @@ if ($_POST['apply']) {
 
 $pgtitle = array(gettext("Firewall"), gettext("Traffic Shaper"), gettext("Queues"));
 $shortcut_section = "trafficshaper";
-$closehead = false;
 
 include("head.inc");
 ?>
diff --git a/src/usr/local/www/firewall_shaper_vinterface.php b/src/usr/local/www/firewall_shaper_vinterface.php
index c327a1f63e..bbcdbd05d2 100644
--- a/src/usr/local/www/firewall_shaper_vinterface.php
+++ b/src/usr/local/www/firewall_shaper_vinterface.php
@@ -365,7 +365,6 @@ $tree .= "</ul>";
 
 $output = "<table summary=\"output form\">";
 $output .= $output_form;
-$closehead = false;
 include("head.inc");
 ?>
 <script type="text/javascript" src="./tree/tree.js"></script>
diff --git a/src/usr/local/www/firewall_shaper_wizards.php b/src/usr/local/www/firewall_shaper_wizards.php
index 1d93e006e9..fec62a2d1c 100644
--- a/src/usr/local/www/firewall_shaper_wizards.php
+++ b/src/usr/local/www/firewall_shaper_wizards.php
@@ -100,7 +100,6 @@ $wizards = array(
 	gettext("Dedicated Links") => "traffic_shaper_wizard_dedicated.xml",
 );
 
-$closehead = false;
 include("head.inc");
 
 if ($input_errors) {
diff --git a/src/usr/local/www/interfaces.php b/src/usr/local/www/interfaces.php
index d5140a07d1..104a1bfa2a 100644
--- a/src/usr/local/www/interfaces.php
+++ b/src/usr/local/www/interfaces.php
@@ -1617,8 +1617,6 @@ $shortcut_section = "interfaces";
 $types4 = array("none" => gettext("None"), "staticv4" => gettext("Static IPv4"), "dhcp" => gettext("DHCP"), "ppp" => gettext("PPP"), "pppoe" => gettext("PPPoE"), "pptp" => gettext("PPTP"), "l2tp" => gettext("L2TP"));
 $types6 = array("none" => gettext("None"), "staticv6" => gettext("Static IPv6"), "dhcp6" => gettext("DHCP6"), "slaac" => gettext("SLAAC"), "6rd" => gettext("6rd Tunnel"), "6to4" => gettext("6to4 Tunnel"), "track6" => gettext("Track Interface"));
 
-$closehead = false;
-
 // Get the MAC address
 $ip = $_SERVER['REMOTE_ADDR'];
 $mymac = `/usr/sbin/arp -an | grep '('{$ip}')' | head -n 1 | cut -d" " -f4`;
diff --git a/src/usr/local/www/interfaces_ppps_edit.php b/src/usr/local/www/interfaces_ppps_edit.php
index 13f4571a4c..843402a61f 100644
--- a/src/usr/local/www/interfaces_ppps_edit.php
+++ b/src/usr/local/www/interfaces_ppps_edit.php
@@ -441,7 +441,6 @@ if ($_POST) {
 	}
 } // end if ($_POST)
 
-$closehead = false;
 $pgtitle = array(gettext("Interfaces"), gettext("PPPs"), gettext("Edit"));
 $shortcut_section = "interfaces";
 include("head.inc");
diff --git a/src/usr/local/www/pkg_edit.php b/src/usr/local/www/pkg_edit.php
index 22a5c3f791..f3a2552a17 100644
--- a/src/usr/local/www/pkg_edit.php
+++ b/src/usr/local/www/pkg_edit.php
@@ -584,12 +584,9 @@ if ($pkg['tabs'] != "") {
 	ksort($tab_array);
 }
 
+include("head.inc");
 if ($pkg['custom_php_after_head_command']) {
-	$closehead = false;
-	include("head.inc");
 	eval($pkg['custom_php_after_head_command']);
-} else {
-	include("head.inc");
 }
 if (isset($tab_array)) {
 	foreach ($tab_array as $tabid => $tab) {
diff --git a/src/usr/local/www/pkg_mgr_installed.php b/src/usr/local/www/pkg_mgr_installed.php
index 8d8f298c24..604ad92e36 100644
--- a/src/usr/local/www/pkg_mgr_installed.php
+++ b/src/usr/local/www/pkg_mgr_installed.php
@@ -72,8 +72,6 @@ if (is_subsystem_dirty('packagelock')) {
 	exit;
 }
 
-$closehead = false;
-
 $pgtitle = array(gettext("System"), gettext("Package Manager"), gettext("Installed Packages"));
 
 include("head.inc");
diff --git a/src/usr/local/www/services_captiveportal.php b/src/usr/local/www/services_captiveportal.php
index 8b75285840..5289cf186c 100644
--- a/src/usr/local/www/services_captiveportal.php
+++ b/src/usr/local/www/services_captiveportal.php
@@ -547,7 +547,6 @@ function build_cert_list() {
 	return($list);
 }
 
-$closehead = false;
 include("head.inc");
 
 if ($input_errors) {
diff --git a/src/usr/local/www/services_captiveportal_vouchers.php b/src/usr/local/www/services_captiveportal_vouchers.php
index a270b17141..73f7976e90 100644
--- a/src/usr/local/www/services_captiveportal_vouchers.php
+++ b/src/usr/local/www/services_captiveportal_vouchers.php
@@ -417,7 +417,6 @@ EOF;
 		}
 	}
 }
-$closehead = false;
 include("head.inc");
 
 if ($input_errors) {
diff --git a/src/usr/local/www/services_dhcp.php b/src/usr/local/www/services_dhcp.php
index ffcc6b576c..e0c2ca4331 100644
--- a/src/usr/local/www/services_dhcp.php
+++ b/src/usr/local/www/services_dhcp.php
@@ -695,7 +695,6 @@ function build_pooltable() {
 	return($pooltbl);
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DHCP Server"));
 $shortcut_section = "dhcp";
 
diff --git a/src/usr/local/www/services_dhcp_edit.php b/src/usr/local/www/services_dhcp_edit.php
index b07bb0d841..303833cf97 100644
--- a/src/usr/local/www/services_dhcp_edit.php
+++ b/src/usr/local/www/services_dhcp_edit.php
@@ -410,7 +410,6 @@ $ip = $_SERVER['REMOTE_ADDR'];
 $mymac = `/usr/sbin/arp -an | grep '('{$ip}')' | cut -d" " -f4`;
 $mymac = str_replace("\n", "", $mymac);
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DHCP"), gettext("Edit static mapping"));
 $shortcut_section = "dhcp";
 
diff --git a/src/usr/local/www/services_dhcp_relay.php b/src/usr/local/www/services_dhcp_relay.php
index 4da2faba07..e1f287de4c 100644
--- a/src/usr/local/www/services_dhcp_relay.php
+++ b/src/usr/local/www/services_dhcp_relay.php
@@ -148,7 +148,6 @@ if ($_POST) {
 	}
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DHCP Relay"));
 $shortcut_section = "dhcp";
 include("head.inc");
diff --git a/src/usr/local/www/services_dhcpv6.php b/src/usr/local/www/services_dhcpv6.php
index afd16246ee..7f7a6b3f72 100644
--- a/src/usr/local/www/services_dhcpv6.php
+++ b/src/usr/local/www/services_dhcpv6.php
@@ -454,7 +454,6 @@ if ($_GET['act'] == "addopt") {
 	array_push($pconfig['numberoptions']['item'], array('number' => null, 'value' => null));
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DHCPv6 Server"));
 $shortcut_section = "dhcp6";
 
diff --git a/src/usr/local/www/services_dhcpv6_relay.php b/src/usr/local/www/services_dhcpv6_relay.php
index 84a55ba91e..a8b1d33fe4 100644
--- a/src/usr/local/www/services_dhcpv6_relay.php
+++ b/src/usr/local/www/services_dhcpv6_relay.php
@@ -148,7 +148,6 @@ if ($_POST) {
 	}
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DHCPv6 Relay"));
 $shortcut_section = "dhcp6";
 include("head.inc");
diff --git a/src/usr/local/www/services_dnsmasq.php b/src/usr/local/www/services_dnsmasq.php
index 89c2da3c55..c6f230d40c 100644
--- a/src/usr/local/www/services_dnsmasq.php
+++ b/src/usr/local/www/services_dnsmasq.php
@@ -210,7 +210,6 @@ function build_if_list() {
 	return($iflist);
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DNS Forwarder"));
 $shortcut_section = "forwarder";
 include("head.inc");
diff --git a/src/usr/local/www/services_ntpd.php b/src/usr/local/www/services_ntpd.php
index e672f993f9..060004509c 100644
--- a/src/usr/local/www/services_ntpd.php
+++ b/src/usr/local/www/services_ntpd.php
@@ -258,7 +258,6 @@ function build_interface_list() {
 	return($iflist);
 }
 
-$closehead = false;
 $pconfig = &$config['ntpd'];
 if (empty($pconfig['interface'])) {
 	$pconfig['interface'] = array();
diff --git a/src/usr/local/www/services_ntpd_gps.php b/src/usr/local/www/services_ntpd_gps.php
index 5afc1832b5..fc60424d38 100644
--- a/src/usr/local/www/services_ntpd_gps.php
+++ b/src/usr/local/www/services_ntpd_gps.php
@@ -221,7 +221,6 @@ function build_nmea_list() {
 	return($nmealist);
 }
 
-$closehead = false;
 $pconfig = &$config['ntpd']['gps'];
 $pgtitle = array(gettext("Services"), gettext("NTP"), gettext("Serial GPS"));
 $shortcut_section = "ntp";
diff --git a/src/usr/local/www/services_snmp.php b/src/usr/local/www/services_snmp.php
index f11c90fdcd..58e1b44ed2 100644
--- a/src/usr/local/www/services_snmp.php
+++ b/src/usr/local/www/services_snmp.php
@@ -207,7 +207,6 @@ function build_iplist() {
 	return($iplist);
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("SNMP"));
 $shortcut_section = "snmp";
 
diff --git a/src/usr/local/www/services_unbound.php b/src/usr/local/www/services_unbound.php
index ccef9f24ed..8e84170faf 100644
--- a/src/usr/local/www/services_unbound.php
+++ b/src/usr/local/www/services_unbound.php
@@ -248,7 +248,6 @@ function build_if_list($selectedifs) {
 	return($iflist);
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DNS Resolver"), gettext("General"));
 $shortcut_section = "resolver";
 
diff --git a/src/usr/local/www/services_unbound_acls.php b/src/usr/local/www/services_unbound_acls.php
index 94e3d83d7e..bc8a7ab099 100644
--- a/src/usr/local/www/services_unbound_acls.php
+++ b/src/usr/local/www/services_unbound_acls.php
@@ -206,7 +206,6 @@ $actionHelp =
 					'<span class="text-success"><strong>Allow Snoop:</strong></span> Allow recursive and nonrecursive access from hosts within the netblock defined below. Used for cache snooping and ideally should only be configured for your administrative host.';
 
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DNS Resolver"), gettext("Access Lists"));
 $shortcut_section = "resolver";
 include("head.inc");
diff --git a/src/usr/local/www/services_unbound_advanced.php b/src/usr/local/www/services_unbound_advanced.php
index 71a2d70a9c..b4af8a02f0 100644
--- a/src/usr/local/www/services_unbound_advanced.php
+++ b/src/usr/local/www/services_unbound_advanced.php
@@ -218,7 +218,6 @@ if ($_POST) {
 	}
 }
 
-$closehead = false;
 $pgtitle = array(gettext("Services"), gettext("DNS Resolver"), gettext("Advanced"));
 $shortcut_section = "resolver";
 include_once("head.inc");
diff --git a/src/usr/local/www/status_rrd_graph.php b/src/usr/local/www/status_rrd_graph.php
index d8f93e86c6..cbd084e531 100644
--- a/src/usr/local/www/status_rrd_graph.php
+++ b/src/usr/local/www/status_rrd_graph.php
@@ -299,8 +299,6 @@ $graph_length = array(
 
 $pgtitle = array(gettext("Status"), gettext("RRD Graphs"));
 
-$closehead = false;
-
 /* Load all CP zones */
 if ($captiveportal && is_array($config['captiveportal'])) {
 	$cp_zones_tab_array = array();
diff --git a/src/usr/local/www/system_update_settings.php b/src/usr/local/www/system_update_settings.php
index 27ab063394..58495e6556 100644
--- a/src/usr/local/www/system_update_settings.php
+++ b/src/usr/local/www/system_update_settings.php
@@ -104,7 +104,6 @@ $curcfg = $config['system']['firmware'];
 $gitcfg = $config['system']['gitsync'];
 
 $pgtitle = array(gettext("System"), gettext("Update"), gettext("Update Settings"));
-$closehead = false;
 
 exec("/usr/bin/fetch -q -o {$g['tmp_path']}/manifest \"{$g['update_manifest']}\"");
 if (file_exists("{$g['tmp_path']}/manifest")) {
diff --git a/src/usr/local/www/system_usermanager.php b/src/usr/local/www/system_usermanager.php
index bd3b675688..3f3b58a73f 100644
--- a/src/usr/local/www/system_usermanager.php
+++ b/src/usr/local/www/system_usermanager.php
@@ -464,7 +464,6 @@ function build_cert_table() {
 	return($certhtml);
 }
 
-$closehead = false;
 include("head.inc");
 
 if ($input_errors) {
diff --git a/src/usr/local/www/wizard.php b/src/usr/local/www/wizard.php
index a1f0381318..c83db61f5f 100644
--- a/src/usr/local/www/wizard.php
+++ b/src/usr/local/www/wizard.php
@@ -219,7 +219,6 @@ do {
 	}
 } while ($oldstepid != $stepid);
 
-$closehead = false;
 $pgtitle = array($title);
 $notitle = true;
 include("head.inc");